using System;
using System.Collections.Generic;
using System.Text;

namespace RussellMason.Web.UI.Office2007
{

	#region Enumerations

	/// <summary>
	/// Specifies how deserializtion page matching is handled.
	/// </summary>
	public enum DeserializationPageMatch
	{

		/// <summary>
		/// The control's page source is ignored. The state can be restored irrespective
		/// of the page the control was on when serialized.
		/// </summary>
		Any = 0,

		/// <summary>
		/// The page being deserialized must be the same as that used to serialize. However,
		/// query string parameter/values within the URL are ignored.
		/// </summary>
		PageUrl = 1,

		/// <summary>
		/// The page being deserialized must be the same as that used to serialize and the
		/// query string must match exactly.
		/// </summary>
		FullUrl = 2

	} 

	#endregion Enumerations

}
